PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::BoundaryOp< MeshType, OpNodeSetImplT > Struct Template Reference

Boundary which represents union/intersection/difference (depending on OpNodeSetImplT) of boundaries. More...

`#include <plask/mesh/boundary.hpp>`

Collaboration diagram for plask::BoundaryOp< MeshType, OpNodeSetImplT >:
[legend]

## Public Member Functions
| BoundaryOp (Boundary< MeshType > A, Boundary< MeshType > B)
BoundaryNodeSet | operator() (const MeshType &mesh, const shared_ptr< const GeometryD< MeshType::DIM > > &geom) const

## Public Attributes
Boundary< MeshType > | A
Boundary< MeshType > | B

## Detailed Description

template<typename MeshType, typename OpNodeSetImplT>
struct plask::BoundaryOp< MeshType, OpNodeSetImplT >

Boundary which represents union/intersection/difference (depending on OpNodeSetImplT) of boundaries.

Definition at line 417 of file boundary.hpp.

## Constructor & Destructor Documentation

## ◆ BoundaryOp()

template<typename MeshType , typename OpNodeSetImplT >

plask::BoundaryOp< MeshType, OpNodeSetImplT >::BoundaryOp | ( | Boundary< MeshType > | A,
|  | Boundary< MeshType > | B
| ) |  |
| inline

Definition at line 421 of file boundary.hpp.

## Member Function Documentation

## ◆ operator()()

template<typename MeshType , typename OpNodeSetImplT >

BoundaryNodeSet plask::BoundaryOp< MeshType, OpNodeSetImplT >::operator() | ( | const MeshType & | mesh,
|  | const shared_ptr< const GeometryD< MeshType::DIM > > & | geom
| ) |  | const
| inline

Definition at line 423 of file boundary.hpp.

## Member Data Documentation

## ◆ A

template<typename MeshType , typename OpNodeSetImplT >

Boundary<MeshType> plask::BoundaryOp< MeshType, OpNodeSetImplT >::A

Definition at line 419 of file boundary.hpp.

## ◆ B

template<typename MeshType , typename OpNodeSetImplT >

Boundary<MeshType> plask::BoundaryOp< MeshType, OpNodeSetImplT >::B

Definition at line 419 of file boundary.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/boundary.hpp